<?php 
/**
 * The edit view of order module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     order 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php if(!isonlybody()):?>
    <?php echo html::a('javascript:history.go(-1);', '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <?php endif;?>
    <div class="page-title">
      <span class="text"><?php echo $lang->order->edit;?></span>
    </div>
  </div>
</div>
<div class='panel'>
  <div class='panel-body'>
    <form method='post' id='ajaxForm' class='no-margin'>
      <table class='table table-form' id='editTable'>
        <tr>
          <td class='w-60px'></td>
          <td class='w-200px'></td>
          <td></td>
          <td class='w-100px'></td>
          <td class='w-120px'></td>
          <td class='w-120px'></td>
          <td class='w-140px'></td>
          <td class='w-60px'></td>
        </tr>
        <tr>
          <th><?php echo $lang->order->traderList[$order->type];?></th>
          <td colspan='2'>
            <div class='required required-wrapper'></div>
            <div class='input-group'>
              <?php echo html::select('trader', $companies, $order->trader, "class='order-trader form-control chosen' data-no_results_text='" . $lang->searchMore . "'");?>
              <?php echo html::input('newTrader', '', "class='newTrader form-control' style='display:none'");?>
              <span class='input-group-addon'>
                <?php echo html::checkbox('createTrader', $lang->create, '', "class='createTrader'");?>
              </span>
            </div>
          </td>
          <?php if(!empty($contract)):?>
          <th><?php echo $lang->order->contract;?></th>
          <td colspan='3'>
            <?php if(!commonModel::printLink('crm.contract', 'view', "contractID=$contract->id", $contract->name, "class='contract'")) echo $label;?>
            <?php echo html::hidden('contract', $contract->id);?>
          </td>
          <?php else:?>
          <td colspan='4'></td>
          <?php endif;?>
          <td></td>
        </tr>
        <tr class='newTrader hide'>
          <th><?php echo $lang->customer->contact;?></th>
          <td colspan='2'>
            <div class='required required-wrapper'></div>
            <?php echo html::input('contact', '', "class='form-control'");?>
          </td>
          <td colspan='5'></td>
        </tr>
        <tr class='newTrader hide'>
          <th><?php echo $lang->customer->phone;?></th>
          <td colspan='2'><?php echo html::input('phone', '', "class='form-control'");?></td>
          <td colspan='5'></td>
        </tr>
        <tr class='newTrader hide'>
          <th><?php echo $lang->customer->email;?></th>
          <td colspan='2'><?php echo html::input('email', '', "class='form-control'");?></td>
          <td colspan='5'></td>
        </tr>
        <tr class='newTrader hide'>
          <th><?php echo $lang->customer->qq;?></th>
          <td colspan='2'><?php echo html::input('qq', '', "class='form-control'");?></td>
          <td colspan='5'></td>
        </tr>
        <tr class='newTrader hide'>
          <th><?php echo $lang->customer->weixin;?></th>
          <td colspan='2'><?php echo html::input('weixin', '', "class='form-control'");?></td>
          <td colspan='5'></td>
        </tr>
        <?php 
          $i = 1; 
          $productsCount = count($order->products); 
          $newItemsCount = $config->order->newItemsCount;
          foreach($order->products as $orderProduct):
        ?>
        <tr>
          <?php if($i == 1):?>
          <th id='product_title' rowspan='<?php echo $productsCount < $newItemsCount ? $newItemsCount : $productsCount + 1;?>'><?php echo $lang->order->product;?></th>
          <?php endif;?>
          <td colspan='2'>
            <div class='input-group'>
              <?php $product = zget($products, $orderProduct->product);?>
              <?php echo html::input('', empty($product) ? '' : $product->name, "class='form-control sentProduct' readonly data-toggle='tooltip' data-placement='right' data-original-title='" . sprintf($lang->order->error->cantChange, $lang->order->batch[$order->type]) . "' style='display:none'");?>
              <select id='product<?php echo $i;?>' name='product[<?php echo $i;?>]' class='product-batchEdit select-product form-control chosen'data-placeholder='<?php echo $lang->orderProduct->product;?>'>
                <option></option>
                <?php foreach($products as $product):?>
                <option value='<?php echo $product->id;?>' data-keys='<?php echo $product->pinyin;?>' data-unit='<?php echo $product->unit;?>' <?php if($product->id == $orderProduct->product) echo 'selected';?>><?php echo $product->name;?></option>
                <?php endforeach;?>
              </select>
              <?php if(commonModel::hasPriv('product', 'createFromOrder')):?>
              <span class='input-group-addon sentProduct'>
                <?php echo html::a($this->createLink('product','createFromOrder', "id=product{$i}"), $lang->create, "data-toggle='modal'");?>
              </span>
              <?php endif;?>
            </div>
          </td>
          <td>
            <?php $product = zget($products, $orderProduct->product);?>
            <?php echo html::input("unit[$i]", $product->unit, "id='unit{$i}' class='product-batchEdit form-control' readonly placeholder='{$lang->orderProduct->unit}'");?>
          </td>
          <td>
            <?php echo html::input("price[$i]", $orderProduct->price, "id='price{$i}' class='product-batchEdit form-control product-price' laceholder='{$lang->orderProduct->price}'");?>
          </td>
          <td>
            <?php echo html::input("amount[$i]", $orderProduct->amount, "id='amount{$i}' class='product-batchEdit form-control product-amount' placeholder='{$lang->orderProduct->amount}'");?>
            <?php echo html::hidden("sentAmount[$i]", $orderProduct->sentAmount, "id='sentAmount'");?>
          </td>
          <td>
            <?php echo html::input("productMoney[$i]", $orderProduct->money, "id='productMoney{$i}' class='product-batchEdit form-control product-money' placeholder='{$lang->order->money}'");?>
          </td>
          <td>
            <?php 
              if($orderProduct->sentAmount > 0)
              {
                  echo html::a('javascript:;', "<i class='icon-lock icon-large'></i>", "class='btn-block' data-toggle='tooltip' data-placement='left' data-original-title='" . sprintf($lang->order->error->hasSent, $lang->order->batch[$order->type]) . "'");
              }
              else
              {
                  echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='btn-plus'");
                  echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='btn-remove'");
              }
              echo html::hidden("mode[$i]", 'update', "id='mode{$i}'");
              echo html::hidden("id[$i]", $orderProduct->id, "id='id{$i}'");
            ?>
          </td>
        </tr>
        <?php $i ++;?>
        <?php endforeach;?>
        <?php $count = $productsCount < $newItemsCount ? $newItemsCount - $productsCount : 1;?>
        <?php for($j = 0; $j < $count; $j ++, $i ++):?>
        <tr>
          <td colspan='2'>
            <div class='input-group'>
              <select id='product<?php echo $i;?>' name='product[<?php echo $i;?>]' class='product-batchEdit select-product form-control chosen'data-placeholder='<?php echo $lang->orderProduct->product;?>'>
                <option></option>
                <?php foreach($products as $product):?>
                <option value='<?php echo $product->id;?>' data-keys='<?php echo $product->pinyin;?>' data-unit='<?php echo $product->unit;?>'><?php echo $product->name;?></option>
                <?php endforeach;?>
              </select>
              <?php if(commonModel::hasPriv('product', 'createFromOrder')):?>
              <span class='input-group-addon'>
                <?php echo html::a($this->createLink('product','createFromOrder', "id=product{$i}"), $lang->create, "data-toggle='modal'");?>
              </span>
              <?php endif;?>
            </div>
          </td>
          <td><?php echo html::input("unit[$i]", '', "id='unit{$i}' class='product-batchEdit form-control' placeholder='{$lang->orderProduct->unit}'");?></td>
          <td><?php echo html::input("price[$i]", '', "id='price{$i}' class='product-batchEdit form-control product-price' placeholder='{$lang->orderProduct->price}'");?></td>
          <td><?php echo html::input("amount[$i]", '', "id='amount{$i}' class='product-batchEdit form-control product-amount' placeholder='{$lang->orderProduct->amount}'");?></td>
          <td><?php echo html::input("productMoney[$i]", '', "id='productMoney{$i}' class='product-batchEdit form-control product-money' placeholder='{$lang->order->money}'");?></td>
          <td>
            <?php echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='btn-plus'");?>
            <?php echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='btn-remove'");?>
            <?php echo html::hidden("mode[$i]", 'new', "id='mode{$i}' class='product-batchEdit'");?>
          </td>
        </tr>
        <?php endfor;?>
        <tr>
          <th><?php echo $lang->order->finishedDate;?></th>
          <td>
            <div class='required required-wrapper'></div>
            <?php echo html::input('finishedDate', formatTime($order->finishedDate, DT_DATE1), "class='form-control form-date'");?>
          </td>
          <td></td>
          <td></td>
          <th><?php echo $lang->order->money;?></th>
          <td colspan='2'><?php echo html::input('money', $order->money, "class='form-control'");?></td>
          <td></td>
        </tr>
        <tr>
          <th><?php echo $lang->order->taxed;?></th>
          <td>
            <div class='required required-wrapper'></div>
            <?php echo html::select('taxed', $lang->order->taxedList, $order->taxed, "class='form-control'");?>
          </td>
          <td></td>
          <td></td>
          <th><?php echo $lang->order->settlement;?></th>
          <td colspan='2'><?php echo html::select('settlement', $lang->order->settlementList, '', "class='form-control'");?></td>
          <td></td>
        </tr>
        <tr>
          <th><?php echo $lang->order->desc;?></th>
          <td colspan='6'><?php echo html::textarea('desc', $order->desc, "rows='3' class='form-control'");?></td>
          <td></td>
        </tr>
        <tr>
          <th></th>        
          <td colspan='7' class='form-actions'>
            <?php html::hidden('type', $order->type);?>
            <?php echo ($order->status == 'finished' ? '' : html::submitButton()) . ' ' . html::backButton();?>
          </td>   
        </tr>
      </table>
    </form>
  </div>
</div>
<?php js::set('key', $i)?>
<script>
<?php helper::import('../js/searchcustomer.js');?>
</script>
<?php include '../../common/view/footer.html.php';?>
